## org.omg.CORBA
Class InterfaceDefSeqHolder

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDefSeqHolder

All Implemented Interfaces:
  Streamable

public final class InterfaceDefSeqHolder
extends java.lang.Object
implements Streamable

Holder class for : InterfaceDefSeq

Author:
  OpenORB Compiler

Field Summary
`InterfaceDef[]` `value` Internal InterfaceDefSeq value

Constructor Summary
`InterfaceDefSeqHolder()` Default constructor
`InterfaceDefSeqHolder(InterfaceDef[] initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read InterfaceDefSeq from a marshalled stream
`TypeCode` `_type()` Return the InterfaceDefSeq TypeCode
`void` `_write(OutputStream ostream)` Write InterfaceDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public InterfaceDef[] value

  Internal InterfaceDefSeq value

Constructor Detail

### InterfaceDefSeqHolder

    public InterfaceDefSeqHolder()

  Default constructor

### InterfaceDefSeqHolder

    public InterfaceDefSeqHolder(InterfaceDef[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read InterfaceDefSeq from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write InterfaceDefSeq into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the InterfaceDefSeq TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode